Ignore:
Timestamp:
Jul 4, 2011, 9:26:44 AM (7 years ago)
Author:
jeremyhu@…
Message:

libsdl: Fallback on gcc-4.2 based on selected compiler rather than platform

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/devel/libsdl/Portfile

    r79526 r80099  
    4242                --without-x
    4343
    44 variant x11 conflicts no_x11 description {Enable support for X11} {
     44variant x11 conflicts no_x11 {
    4545    configure.args-delete --without-x
    4646    configure.args-append --x-include=${prefix}/include \
     
    5858    }
    5959}
    60 variant no_x11 conflicts x11 description {Legacy compatibility variant} {}
     60variant no_x11 conflicts x11 {}
    6161if {[variant_isset no_x11]} {
    6262    default_variants -x11
     
    8989}
    9090
    91 platform darwin 11 {
    92         # BUILD FIX TODO:
    93         # llvm-gcc-4.2 and clang fail to build as of 2011.06.15
    94         # This looks like an error in the package.
    95         configure.compiler gcc-4.2
     91# BUILD FIX TODO:
     92# llvm-gcc-4.2 and clang fail to build as of 2011.06.15
     93# This looks like an error in the package.
     94if {${configure.compiler} == "llvm-gcc-4.2" ||
     95    ${configure.compiler} == "clang"} {
     96    configure.compiler gcc-4.2
    9697}
    9798
Note: See TracChangeset for help on using the changeset viewer.